CREATE TABLE `admin` (
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `full_name` varchar(50) default NULL,
  `adresse_mail` varchar(50) NOT NULL,
  `url` varchar(50) NOT NULL,
  PRIMARY KEY  (`username`)
);

INSERT INTO `admin` (
`username` ,
`password` ,
`full_name` ,
`adresse_mail` ,
`url`
)
VALUES (
'admin', 'admin', 'Administrateur', 'admin@domaine.com', ''
);

CREATE TABLE `consommables` (
  `id` int(11) NOT NULL auto_increment,
  `type_conso` varchar(50) NOT NULL,
  `marque` varchar(50) NOT NULL,
  `qte` int(11) NOT NULL default '0',
  `cde_max` int(11) NOT NULL,
  `alerte` int(11) NOT NULL,
  `modele_conso` varchar(50) NOT NULL,
  `cde` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`id`)
);


CREATE TABLE `ecrans` (
  `id_ecran` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` char(11) NOT NULL,
  `id_salle` varchar(11) NOT NULL,
  `designation` varchar(50) NOT NULL,
  `marque` varchar(50) NOT NULL,
  `modele` varchar(50) NOT NULL,
  `serie` varchar(30) NOT NULL,
  `username` varchar(50) NOT NULL,
  PRIMARY KEY  (`id_ecran`),
  UNIQUE KEY `serie` (`serie`),
  KEY `id_salle` (`id_salle`)
);


CREATE TABLE `imprimantes` (
  `id_imprimante` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` char(11) NOT NULL,
  `id_salle` varchar(11) NOT NULL,
  `designation` varchar(50) NOT NULL,
  `marque` varchar(50) NOT NULL,
  `modele` varchar(50) NOT NULL,
  `serie` varchar(50) NOT NULL,
  `ip` varchar(20) NOT NULL default '',
  `username` varchar(50) NOT NULL,
  `id_modele_conso` char(11) NOT NULL,
  PRIMARY KEY  (`id_imprimante`),
  KEY `id_salle` (`id_salle`)
);


CREATE TABLE `interventions` (
  `id_int` int(11) NOT NULL auto_increment,
  `salle` varchar(50) NOT NULL default '0',
  `designation` varchar(50) NOT NULL,
  `marque` varchar(50) NOT NULL,
  `serie` varchar(50) NOT NULL,
  `modele` varchar(50) NOT NULL,
  `ip` varchar(20) NOT NULL default '',
  `username` varchar(80) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  `traitement` text NOT NULL,
  `probleme` text NOT NULL,
  `modele_conso` varchar(50) NOT NULL,
  `archive` varchar(10) default NULL,
  PRIMARY KEY  (`id_int`),
  KEY `salle` (`salle`)
);


CREATE TABLE `ip` (
  `ip` varchar(30) NOT NULL default '',
  `heure` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`ip`)
);


CREATE TABLE `mail` (
  `id` int(11) NOT NULL auto_increment,
  `exp` varchar(50) NOT NULL,
  `dest` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
);


CREATE TABLE `postes` (
  `id_poste` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` char(11) NOT NULL,
  `id_salle` varchar(11) NOT NULL,
  `designation` varchar(50) NOT NULL,
  `marque` varchar(50) NOT NULL,
  `modele` varchar(50) NOT NULL,
  `processeur` varchar(40) NOT NULL default '',
  `frequence` varchar(20) NOT NULL default '',
  `type_ram` varchar(10) NOT NULL default '',
  `qte_ram` varchar(10) NOT NULL default '',
  `se` varchar(50) NOT NULL,
  `serie` varchar(50) NOT NULL,
  `ip` varchar(20) NOT NULL default '',
  `mac` varchar(20) NOT NULL default '',
  `username` varchar(50) NOT NULL,
  PRIMARY KEY  (`id_poste`),
  KEY `id_salle` (`id_salle`)
);


CREATE TABLE `salles` (
  `id` int(11) NOT NULL auto_increment,
  `salle` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
);


CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
);

INSERT INTO `users` (
`id` ,
`username` ,
`password`
)
VALUES (
NULL , 'user', 'user'
);


CREATE TABLE `dateconsommables` (
  `id` int(11) NOT NULL auto_increment,
  `modele_conso` varchar(50) NOT NULL,
  `date` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE `dateconsommables` (
  `id` int(11) NOT NULL auto_increment,
  `modele_conso` varchar(50) NOT NULL,
  `date` varchar(50) NOT NULL,
  PRIMARY KEY  (`id`)
);